<?php
/**
 * @file
 * Handles the automatic generation of migration YAML files.
 *
 * Migrate Wizard - Facilitates migration from Drupal 7 by mapping fields and content types
 * through an interface, without the need for programming.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Migrate Wizard. If not, see <https://www.gnu.org/licenses/>.
 *
 * Author: Carlos Romero Álvarez
 */

namespace Drupal\migrate_wizard;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a origin_content_type entity.
 */
interface OriginContentTypesInterface extends ContentEntityInterface {

  /**
   * Gets the source label.
   *
   * @return string
   *   The source label.
   */
  public function getLabel();

  /**
   * Gets the source description.
   *
   * @return string
   *   The source description.
   */
  public function getDescription();

  /**
   * Gets the source id_content_type.
   *
   * @return string
   *   The source id_content_type.
   */
  public function getIdContentType();

}
